<?php
date_default_timezone_set('America/Chicago');
include('../common/parseargs.php');

$USAGE=" --agenthost=<agenthost> --agentport=<agentport> --agentdesc=<agentdesc> --dbaddonenabled=<true/false>(optional)";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$AGENTHOST=$args_array['agenthost'];
$AGENTPORT=$args_array['agentport'];
$AGENTDESC=$args_array['agentdesc'];
$DBADDONENABLED=$args_array['dbaddonenabled'];
$isTrue= true;
$isFalse= false;

if (strlen($AGENTHOST) < 1) {
	echo "ERROR: --agenthost=<agenthost> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


if (strlen($AGENTPORT) < 1) {
	echo "ERROR: --agentport=<agentport> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($AGENTDESC) < 1) {
	echo "ERROR: --agentdesc=<agentdesc> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($AGENTDESC) < 1) {
	echo "ERROR: --agentdesc=<agentdesc> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($DBADDONENABLED) < 1) {
	$DBADDONENABLED = false;
}
else
{
	if (!strcasecmp($DBADDONENABLED, $isTrue) || !strcasecmp($DBADDONENABLED, $isFalse)) {
		echo "ERROR: --dbaddonenabled=<true/false> can either be true or false\n";
		usage($argv[0],$USAGE); 
		exit(1);
	}
}

try{
	$client = new soapclient("https://$HOST:$PORT/Agent?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response=$client->createAgent(
		array(
		'hostname'=>"$AGENTHOST", 
		'portNumber'=>"$AGENTPORT", 
		'description'=>"$AGENTDESC",
		'dbaddonenabled'=>"$DBADDONENABLED"
	 	)
	);

	echo "Successfully executed createAgent\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}
?> 
